﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.Compliance
<style>
    .domaincls {
        height: calc(100vh - 262px);
        padding: 0px 12px 15px;
        background: #f8f8f8;
        overflow-y: auto;
    }

        .domaincls .table_control {
            margin-top: 12px;
        }

        .domaincls div span {
            cursor: pointer;
        }

    .orgmap li span.text.active {
        background-color: #915799;
    }

    .orgmap li a.edit_btn.active {
        background-color: #915799;
    }
</style>
<script>
    $(() => $('#spn10').click());
    function GetQuestionnaireList(span, conCatId) {
        $(".orgmap li a.edit_btn").removeClass("active");
        $(".orgmap li span.text").removeClass("active");
        $(span).addClass("active");
        $.get('/ApplicationManagement/Compliance/Questionnaire', { conCatId: conCatId }, res => $('#divQuestionnaire').html(res));
    }
    function AddEditQuestionnaire(span, conCatId) {
        $(".orgmap li span.text").removeClass("active");
        $(".orgmap li a.edit_btn").removeClass("active");
        $(span).addClass("active");
        $.get('/ApplicationManagement/Compliance/Questionnaire', { conCatId: conCatId, next: true }, res => $('#divQuestionnaire').html(res))
    }
</script>
<section>
    <div class="right_section">
        <div class="pb-2 mt-3 mb-2 border-bottom box_title pl-4">Questionnaire List</div>
        <div class="col-lg-12 col-md-8 col-sm-8 col-xs-8">
            <div class="right_panel">
                <div class="right_content">
                    <div class="row">
                        <div class="col-3">
                            <div class="domaincls">
                                <ul class="orgmap">
                                    @foreach (var item in Model.EnablerList.OrderBy(x => x.Name).ToList())
                                    {
                                        <li class="first inactive">
                                            <div>
                                                <span class="text Event" id="spn@(item.Value)" onclick="GetQuestionnaireList(this,'@item.Value')">@item.Name</span>
                                                <a href="#" class='edit_btn' style="margin-top:20px;" onclick="AddEditQuestionnaire(this,'@item.Value')"></a>
                                            </div>
                                        </li>
                                    }
                                </ul>
                            </div>
                        </div>
                        <div class="col-9">
                            <div class="domaincls" id="divQuestionnaire">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
